get
https://{baseurl}/organizations///mobile-devices//users//credentials/initial
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
There are two endpoints initiated for issuance based on the below criteria. For these two endpoints, the request and the response are the same but the URLs differ.
Request
Initial: If the user is issuing identities for the first time, the Initial endpoint is triggered. This endpoint allows you to add a mobile credential on a newly added mobile device.
Credentials: If the device has existing identities/credentials and the user is trying to get additional identities/credentials, then the credential endpoint is triggered.
NOTE: /mobile-devices/{deviceID}/users/USERID/credentials
Headers
- Authentication: Bearer <JWT>
- Accept: application/json
- Content-Type: application/json
Path Parameters
| Parameters | Type | Description |
|---|---|---|
| organizationName | string | Denotes the name of the organization. |
| deviceID | string | The ID of the device. |
| userID | string | The ID number of the user. |
Body Parameters
| Parameters | Type | Description |
|---|---|---|
| wfMobileIDStepDetails | object | The identity related configurations in the workflow required to get the credentials. |
wfMobileIDStepDetails Object
| Parameter | Type | Description |
|---|---|---|
| hardwareBackedAuthentication | Boolean | Indicates whether to use the mobile device's native secure lock screen credentials such as Pattern/PIN/Password/Fingerprint /Face for authentication. This enables the users to use the existing device access security feature to login to the ID Wallet application. Possible Values: true: Enable hardware backed authentication false: Disable hardware backed authentication |
| userID | Long | The unique ID number of the user. |
| wfMobileIDStepIdentityConfigs | Object | Mobile ID Step - Identity Configuration from Workflow Object (Required) This array of objects captures the workflow configurations related to the types of credentials that are allowed for a specified user. Based on this object the user is issued the credentials. |
| wfMobileIDStepOnboardConfig | Object | Mobile ID Step - Onboard Configuration from Workflow Object (Required) This object captures the configuration related to ID Wallet based onboarding and enrollment. |

